    					/*------------------------------------------------------+
						  |				     DataFile.h							|
						  |														|
						  |	 class ki permet de récupérer facilement se kil y   |
						  |		dans un GTZ ( une surcouche koa en fait )	    |
						  |														|
						  | 	U2^PoPsy TeAm 2000								|
						  +-----------------------------------------------------*/

///////////////////////////////////
// definition de la classe
class DataManager{
	
	GTZpack	*pack	;

public:

	DataManager()		;
	~DataManager()		;

	void LoadGTZ( CArchive &ar )	;	// renvoie TRUE si succes sinon FALSE ( pf on l'aurai pas deviné )
	BOOL LoadGTZ( LPCSTR nom )		;	// renvoie TRUE si succes sinon FALSE ( pf on l'aurai pas deviné )

	void SetCurrentFolder( LPCSTR nom )	;

	CByteArray* GetData(LPCSTR nom,BOOL destruc=FALSE)				;	// voir fonctions danbs pack.h (de la  GTZLib )
	CByteArray* GetDataFolder( LPCSTR nom,BOOL destruc=FALSE)		;	// voir fonctions danbs pack.h (de la  GTZLib )
};
///////////////////////////////////
